#!/bin/bash
#
# Copyright 2011 YeoWorks (http://www.yeoworks.cz.cc)
#

solutions=$(zenity  --title "YeoWorks Ubuntu Solutions v1.2" --window-icon="ywus.png" --width="480" --height="400" --list --text "©2011 YeoWorks, <a href='http://www.yeoworks.cz.cc'>http://www.yeoworks.cz.cc</a>\n\nWhat solution do you need for Ubuntu?" --radiolist  --column "Pick" --column "Option(s)" FALSE "Update Ubuntu Software" FALSE "Install Ubuntu Restricted Extras, Ubuntu Tweak, and Compiz Pack" FALSE "Gnome 3: Install" FALSE "Gnome 3: Fix Strange Themes" FALSE "Gnome 3: Tweaking Tool" FALSE "Gnome 3: Uninstall" FALSE "Firefox: Fix 64-Bit Flash Issue" FALSE "Firefox: Bookmarks and History System Not Functional" FALSE "Open Up Nautilus (Be Careful Making Changes)" FALSE "Configuration Editor" FALSE "Switch Gnome desktop to Compiz" FALSE "Switch Gnome desktop to Metacity" FALSE "Convert 32-Bit DEB into 64-Bit DEB" FALSE "Fix your Classic Gnome Install" FALSE "Reinstall Ubuntu Desktop (Restarts System)" FALSE "Change User Password" FALSE "Change Root Password" FALSE "Add A User" FALSE "Cleanup System" FALSE "Stop GDM" FALSE "No Graphical Login" FALSE "Error: gnconf-sanity-check-2 exited with status 256" FALSE "Exit"); echo $solutions

if [ $? -eq 1 ] ; then
exit 1
fi 

case $solutions in

"Update Ubuntu Software") (
gnome-terminal -t 'Update Ubuntu Software' -x bash -c "sudo apt-get update"
);;
"Install Ubuntu Restricted Extras, Ubuntu Tweak, and Compiz Advanced") (
gnome-terminal -t 'Install Ubuntu Restricted Extras, Ubuntu Tweak, and Compiz Pack' -x bash -c "sudo apt-get install ubuntu-restricted-extras ; sudo add-apt-repository ppa:tualatrix/ppa ; sudo apt-get update ; sudo apt-get install ubuntu-tweak ; sudo apt-get install compiz ; sudo apt-get install compizconfig-settings-manager ; sudo apt-get install compiz-plugins-extras"
);;
"Gnome 3: Install") (
gnome-terminal -t 'Gnome 3: Install' -x bash -c "sudo add-apt-repository ppa:gnome3-team/gnome3; sudo apt-get update ; sudo apt-get dist-upgrade ; sudo apt-get install gnome-shell ;"
);;
"Gnome 3: Fix Strange Themes") (
gnome-terminal -t 'Gnome 3: Fix Strange Themes' -x bash -c "sudo apt-get remove gnome-accessibility-themes; sudo apt-get install gnome-themes-standard ;"
);;
"Gnome 3: Tweaking Tool") (
gnome-terminal -t 'Gnome 3: Tweaking Tool' -x bash -c "sudo apt-get install gnome-tweak-tool"
);;
"Gnome 3: Uninstall") (
gnome-terminal -t 'Gnome 3: Uninstall' -x bash -c "sudo apt-get install ppa-purge; sudo ppa-purge ppa:gnome3-team/gnome3 ;"
);;
"Fix Firefox 64-Bit Flash Issue") (
gnome-terminal -t 'Firefox: Fix 64-Bit Flash Issue' -x bash -c "sudo apt-get purge flashplugin-nonfree flashplugin-installer gnash ; gnash-common mozilla-plugin-gnash swfdec-mozilla ; sudo rm -f /usr/lib/firefox-addons/plugins/libflashplayer.so ; sudo rm -f /usr/lib/mozilla/plugins/libflashplayer.so ; sudo rm -f /usr/lib/mozilla/plugins/flashplugin-alternative.so ; sudo rm -f /usr/lib/mozilla/plugins/npwrapper*flash*so ; rm -f ~/.mozilla/plugins/*flash*so ; sudo add-apt-repository ppa:sevenmachines/flash ; sudo apt-get update ; sudo apt-get install flashplugin64-installer ; sudo apt-get install --reinstall flashplugin64-installer ;"
);;
"Firefox Bookmarks and History System Not Functional") (
gnome-terminal -t 'Firefox Bookmarks and History System Not Functional' -x bash -c "echo 'What is your username?' ; read usn ; sudo chown -R \$usn:\$usn /home/\$usn ;"
);;
"Open Up Nautilus (Be Careful Making Changes)") (
gnome-terminal -t 'Open Up Nautilus (Be Careful Making Changes)' -x bash -c "sudo nautilus"
);;
"Configuration Editor") (
gconf-editor
);;
"Switch Gnome desktop to Compiz") (
compiz --replace &
);;
"Switch Gnome desktop to Metacity") (
metacity --replace &
);;
"Convert 32-Bit DEB into 64-Bit DEB") (
gnome-terminal -t 'Convert 32-Bit DEB into 64-Bit DEB' -x bash -c "echo 'Please move DEB file to your desktop. What is the filename of the DEB (include .deb extention)?' ; cd ~/Desktop ; read debn ; mkdir yw64tmp ; dpkg-deb -x \$debn yw64tmp ; dpkg-deb -x \$debn yw64tmp ; dpkg-deb --control \$debn yw64tmp/DEBIAN ; sed -i 's/i386/all/' yw64tmp/DEBIAN/control ; dpkg -b yw64tmp 64_\$debn ; rm -rf yw64tmp/* ; rmdir yw64tmp ;"
);;
"Fix your Classic Gnome Install") (
gnome-terminal -t 'Fix your Class Gnome Install' -e 'sudo apt-get install gnome'
);;
"Reinstall Ubuntu Desktop (Restarts System)") (
gnome-terminal -t 'Reinstall Ubuntu Desktop' -e 'sudo apt-get install --reinstall ubuntu-desktop' -e sudo reboot
);;
"Change User Password") (
gnome-terminal -t 'Change User Password' -x bash -c "echo 'What user needs their password change?' ; read pswu ; passwd \$pswu ;"
);;
"Change Root Password") (
gnome-terminal -t 'Change Root Password' -e 'sudo passwd root'
);;
"Add A User") (
gnome-terminal -t 'Add A User' -x bash -c "echo 'What will be the username?' ; read newu ; sudo adduser \$newu ;"
);;
"Cleanup System") (
gnome-terminal -t 'Cleanup System' -e 'df -h' -e 'sudo du -h /var' -e 'sudo apt-get clean' -e 'df -h'
);;
"Stop GDM") (
gnome-terminal -t 'Stop CDM' -e 'sudo /etc/init.d/gdm stop' -e 'startx'
);;
"No Graphical Login") (
gnome-terminal -t 'No Graphical Login' -e 'sudo rm ~/.ICEauthority' -e 'sudo rm ~/.Xauthority'
);;
"Error: gnconf-sanity-check-2 exited with status 256") (
gnome-terminal -t 'Error: gnconf-sanity-check-2 exited with status 256' -e 'chmod 777 /tmp'
);;
"Exit") exit;;
esac
